C04.0 Attachment J-4 Past Performance N4523A21R1055.docx

DOCX document 16 KB Posted

Attached to
Maintenance, Preservation, and Repair of YON-319
Solicitation number
N4523A21R1055
Issued by

About this file

This document contains a federal contract opportunity solicitation for maintenance, preservation, and repair services of a YON-319 fuel oil barge. The Regional Maintenance Center at Puget Sound Naval Shipyard and Intermediate Maintenance Facility intends to award a firm-fixed-price contract to accomplish maintenance, repair and preservation of one YON-319 fuel oil barge at the contractor's facility. The scope of work includes cleaning and preservation of exterior and interior surfaces, inspections, repairs to tanks and voids, mechanical and electrical systems, and undocking the vessel. The period of performance is from July 22, 2021 to October 20, 2021. This is a 100% small business set-aside under NAICS code 336611 for ship building and repair with a size standard of 1,250 employees. Offerors must be registered in the System for Award Management to receive award.

View the file

Other files

File Type Posted
C09.0 RFC 028 Response N4523A21R1055 YON-319.pdf PDF
C09.0 Attachment J-2 Price Proposal Sheet YON-319 N4523A21R1055 UPDATED 12MAR2021.xls XLS spreadsheet
C09.0 Amendment 0005 N4523A21R1055 YON-319 12MAR2021.pdf PDF
C09.0 Attachment J-8 UPDATED 12MAR2021 N4523A21R1055 YON-319 Pictures Request.pdf PDF
C09.0 RFC 008-027 Responses YON-319 N4523A21R1055.pdf PDF
C09.0 Attachment J-1 SOW Errata 2 YON-319 Updated 12MAR2021 .pdf PDF
C09.0 Amendment 0004 N4523A21R1055 YON-319.pdf PDF
C09.0 Attachment J-6 UPDATED 24FEB2021 Drawing Request N4523A21R1055 YON-319.pdf PDF
C09.0 RFC 007 YON-319 N4523A21R1055.pdf PDF
C09.0 Attachment J-1 SOW Errata 1 YON-319 Updated 24FEB2021.pdf PDF
C09.0 Attachment J-8 N4523A21R1055 YON-319 Pictures Request.pdf PDF
C09.0 RFC 002-006 YON-319 N4523A21R1055.pdf PDF
C09.0 Amendment 0003 N4523A21R1055 YON-319.pdf PDF
C09.0 RFC 001 N4523A21R1055 YON-319_Redacted.pdf PDF
C09.0 Amendment 0002 N4523A21R1055 YON-319 19FEB2021.pdf PDF
C09.0 Solicitation Amendment 0001 N4523A21R1055 YON-319 10FEB2021.pdf PDF
C04.0 Exhibit A CDRLs and DIDs YON-319 N4523A21R055.pdf PDF
C04.0 Attachment J-5 Corporate Experience N4523A21R1055 YON-319.docx DOCX document
C04.0 Attachment J-1 SOW YON-319 N4523A21R1055 08DEC2020.pdf PDF
C04.0 Attachment J-6 N4523A21R1055 YON-319 Drawings Request.pdf PDF
C04.0 Attachment J-7 BAVR Instructions YON-319 N4523A21R1055.pdf PDF
C04.0 Attachment J-2 Price Proposal Sheet YON-319 N4523A21R1055.xls XLS spreadsheet
C04.0 Solicitation N4523A21R1055 YON-319 25JAN2021 .pdf PDF
C04.0 Attachment J-3 RFC Form N4523A21R055 YON-319.docx DOCX document
Show all 24

On GovTribe

Work with this file

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CONTRACT PERFORMANCE DATA SHEET

N4523A21R1055 Attachment J-4

CONTRACTOR NAME____________________________________________________

Contract Number (Government Contracts):

Date Completed:

Contract Type:
FFP____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data;

Name/Title/Phone #/Email):

Address:

Telephone:

Email:

PERFORMANCE INFORMATION

YES
NO
1
Were all supplies/services delivered within the original contract schedule?
2
Did all delivered supplies/services comply with the contract specifications/ statement of work?
3
Did any of the delivered supplies/services require replacement, modification or rework in order to be acceptable?
4
Were any modifications issued relaxing the contract specifications/delivery requirements?
5
Was any part of this contract terminated for default or cause?
6
Did you receive any quality awards?
7
If applicable, describe any corrective action(s) initiated to solve any problems/deficiencies on this contract. Discuss the success of the corrective action(s) taken.

NARRATIVE:

File details come from the government source that posted it. Updated .